#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/languages/lib/debugger
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/widgets
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )
install( FILES kdevrbdebugger.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES debuggee.rb DESTINATION ${DATA_INSTALL_DIR}/kdevrbdebugger )
install( FILES kdevrbdebugger.rc DESTINATION ${DATA_INSTALL_DIR}/kdevrbdebugger )


##### libkdevrbdebugger (module) ################

tde_add_kpart( libkdevrbdebugger AUTOMOC
  SOURCES
    debuggerpart.cpp dbgcontroller.cpp rdbcontroller.cpp
    dbgcommand.cpp rdbcommand.cpp rdbparser.cpp stty.cpp
    breakpoint.cpp variablewidget.cpp rdbbreakpointwidget.cpp
    framestackwidget.cpp dbgpsdlg.cpp dbgtoolbar.cpp
    rdboutputwidget.cpp rdbtable.cpp
  LINK lang_debugger-shared kdevwidgets-shared tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
